Imagick::pingImageBlob
Imagick::polaroidImage
Imagick
PHP Manual

# Imagick::pingImageFile

Get basic image attributes in a lightweight manner

### Description

bool Imagick::pingImageFile ( resource `$filehandle` [, string `$fileName` ] )

This method can be used to query image width, height, size, and format without reading the whole image to memory. This method is available if Imagick has been compiled against ImageMagick version 6.2.9 or newer.

### Parameters

`filehandle`

  An open filehandle to the image.

`fileName`

  Optional filename for this image.

### Return Values

Returns `TRUE` on success.

### Examples

Example #1 Using Imagick::pingImageFile

Opening a remote location

`<?php
/* fopen a remote location */
$fp = fopen("http://example.com/test.jpg");
/* create new imagick object */
$im = new Imagick();
/* pass the handle to imagick */
$im->pingImageFile($fp);
?>`

### See Also

- Imagick::pingImage
- Imagick::pingImageBlob
- Imagick::readImage
- Imagick::readImageBlob
- Imagick::readImageFile